Bug 1202040 - systemd-python not found
Summary: systemd-python not found
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-14 17:03 UTC by Michele Paolino
Modified: 2015-12-02 17:40 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:06:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Michele Paolino 2015-03-14 17:03:16 UTC
Description of problem:
The installation of systemd-python doesn't seem to work. Even if I manually install the packet, after the installation the packet is not found.


Version-Release number of selected component (if applicable):
yum info systemd-python
Loaded plugins: langpacks
Installed Packages
Name        : systemd-python
Arch        : x86_64
Version     : 216
Release     : 20.fc21
Size        : 184 k
Repo        : installed
From repo   : updates
Summary     : Python 2 bindings for systemd
URL         : http://www.freedesktop.org/wiki/Software/systemd
Licence     : LGPLv2+
Description : This package contains bindings which allow Python 2 programs to use
            : systemd APIs


How reproducible:
This happens each time I run what is described in the field below.


Steps to Reproduce:
1. sudo yum install systemd-python
2. yum check

After the installation (sudo yum install systemd-python), the execution of a 'yum check' fails:
systemd-python-216-20.fc21.x86_64 provides ('systemd-python', 'EQ', ('0', '216', '20.fc21')) but it cannot be found

In addition, 'rpm -V systemd-python' does not return any result.


Actual results:
Commands such as yum update/check fail.

Additional info:
uname -a
Linux DellE6430s 3.18.7-200.fc21.x86_64 #1 SMP Wed Feb 11 21:53:17 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

sudo yum install systemd-python:
Loaded plugins: langpacks
Package systemd-python-216-20.fc21.x86_64 already installed and latest version

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-03-14 17:35:28 UTC
This is unlikely to be caused by systemd-python package — it doesn't do anything special.

I'd suggest you try to uninstall the package completely, and install it again:

yum remove systemd-python
yum install systemd-python

Comment 2 Michele Paolino 2015-03-14 17:39:46 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> This is unlikely to be caused by systemd-python package — it doesn't do
> anything special.
> 
> I'd suggest you try to uninstall the package completely, and install it
> again:
> 
> yum remove systemd-python
> yum install systemd-python

Unfortunately, this does not resolve the problem, meaning that when I execute again 'yum check' I have again the error described above.

Comment 3 Fedora End Of Life 2015-11-04 13:11:18 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 10:06:13 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.